<?php
namespace Teknisa\CRM\Factory;

use Doctrine\ORM\EntityManager;

class crm00050000ComunicaRevendaFactory
{
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection       = $entityManager->getConnection();
    }
    
    public function requestForInsertNewPartnerCommunication($paramsInsertPartnerCommunication){
        
        $queryInsertPartnerCommunication = "INSERT INTO COMUNICAPARC (NRCOMUNICAPARC, NRPARCNEGOCIO, CDFORMACOMU, CDPREFIXCOMUPARC, CDCOMUNICAPARC, NRORG,
        IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO)
            VALUES(
                :NRCOMUNICAPARC,
                :NRPARCNEGOCIO,
                :CDFORMACOMU,
                :CDPREFIXCOMUPARC,
                :CDCOMUNICAPARC,
                :NRORG,
                :IDATIVO,
                SYSDATE,
                :NRORGINCLUSAO,
                :CDOPERINCLUSAO
            )";
        
        try
        {
            $std = $this->connection->prepare($queryInsertPartnerCommunication);
            $std->execute($paramsInsertPartnerCommunication);
            
        }catch (\Exception $e)
        {
            throw $e;
        }
        
    }

}
?>