
function RespostasController(ScreenService, templateManager, restEngine, ZHPromise) {
    var self = this;
this.getPopUpFilter = function(){
    return templateManager.container.getWidget('PROJECT_FILTER_MANAGER');
};

this.openPopUpFilterPart = function(){
    var currentWidget = templateManager.container.getActiveWidget();
    this.getPopUpFilter().parentWidget = currentWidget;
    ScreenService.openPopup(this.getPopUpFilter());
};

this.closePopUpFilter = function(widget){
    var parent = widget.parentWidget;
    ScreenService.closePopup();
    parent.activate();

};

this.filterManager = function(widget) {
    var parent = widget.parentWidget;
    var vlr0 = widget.fields[0].value();
    var vlr1 = widget.fields[1].value();
    var vlr2 = widget.fields[2].value();

    var ar_thr = [this.alterarValorCampo(widget.fields[1]), this.alterarValorCampo(widget.fields[2])];

    ZHPromise.all(ar_thr).then(function (){
            FilterService.parentFilter(parent, widget).then(function(){
                ScreenService.closePopup();
                parent.activate();

                widget.fields[0].setValue(vlr0);
                widget.fields[1].setValue(vlr1);
                widget.fields[2].setValue(vlr2);
            });
        }
    );
};


this.alterarValorCampo = function (field)
{
    var cur = field.value();
    if(cur === '' || cur === null)
    {
        return;
    }

    var stringin = "IN (";

    for(var i=0; i<cur.length; i++)
    {
        stringin += "'"+cur[i]+"',";
    }
    stringin = stringin.substr(0, stringin.length-1);
    stringin += ")";

    return restEngine.post('crm#/respostas/retornaParceiros',{"requestType":"Row","row":{"Entrada": stringin}},function (param)
    {
        var ar = [];
        for(var j = 0; j<param.dataset.SAIDA.length;j++)
        {
            ar[j] = param.dataset.SAIDA[j].NRPARCNEGOCIO;
        }

        field.setValue(ar);
    }, undefined, function(error){
        console.log(error);
    });
};
}

Configuration(function(ContextRegister) {
    ContextRegister.register('RespostasController', RespostasController);
});